<template>
  <!-- 流程信息 -->
  <view  class="wrap-element"><view  :style="{backgroundImage:'url('+img+')',backgroundRepeat:'no-repeat' ,backgroundSize:'contain',width:width+'px',height:'100%'}"> </view></view>
</template>

<script setup>
  import { onMounted, ref } from 'vue';
 import {getImgBase} from '@/common/api/workflow/index.js'
const props = defineProps({
  content: "",
});
 
 const width=ref(0)
const img= ref()
 onMounted(()=>{
	 getImgBase( props.content
	 ).then(res=>{
		 if(!res.data) return;
		  img.value='data:image/svg+xml;base64,'+res.data.base64Data;
			width.value=res.data.width
	 }) 
 })  
 
</script>

<style lang="scss">
.wrap-element {
  height: 70vh; 
  background-color: #fff; 
	overflow: auto;
}
</style>
